<?xml version="1.0" encoding="UTF-8"?>
<component id="leyes_srch">
    <type>SEARCH</type>
    <title>BUSQUEDA LEYES</title>
    <rows>95</rows>
    <width>800</width>
    <height>700</height>
    <pbin>NO</pbin>
    <base_path>..</base_path>
    <clase>
     
        <table>sdm_leyes</table>
        <id_field>c10_ley_id</id_field>        
        <select_fields>c10_ley_id,v128_ley,dt_ley,txt_ley,c2_leytipo_id,dt_publicacion,dt_vigencia,ts_in,ts_update</select_fields>
        <needed_fields>c10_ley_id,v128_ley,c2_leytipo_id</needed_fields>
        <order_by>1</order_by>
        <direction>asc</direction>
        <limit>100</limit>
        <offset>0</offset>
        <select_labels id="c2_leytipo_id">
            <id_type>NORMAL</id_type>
            
            <table>sdm_leytipos</table>
            <id_field>c2_leytipo_id</id_field>
            <fields>v64_leytipo</fields>
            <document_fields>v64_leytipo</document_fields>
        </select_labels>
        <select_labels id="null"></select_labels>        
        <associations>NO</associations>
    </clase>
    <elements>c2_leytipo_id</elements>
    <element id="c2_leytipo_id">
        <properties>
            <type>combo</type>
            <data>text</data>
            <header>TIPO</header>
            <width>10</width>
        </properties>
        <events>NO</events>
        <clase>
            
            <table>sdm_leytipos</table>
            <keys>c2_leytipo_id</keys>
            <fields>v64_leytipo</fields>
        </clase>
    </element>
    <element id ="null"></element>      
    <grid>
        <columns>c10_ley_id,v128_ley,dt_ley,v64_leytipo</columns>
        <column id="c10_ley_id">
            <properties>
                <type>text</type>
                <data>text</data>                
                <header>ID</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>options</elements>
            <element id="options">
                <properties>
                    <type>link</type>
                    <data>text</data>                
                </properties>        
                <events>
                    <onClick>GridOpenWindow(this)</onClick>
                </events>                
            </element>
            <element id ="null"></element>
            <method id="GridOpenWindow(this)">
                <params>component,clase,left,top,id_field</params>
                <component>REPT</component>
                <clase>ley_imagen</clase>
                <left>100</left>
                <top>100</top>
                <id_field>c10_ley_id</id_field>                
            </method>
            <method id="null"></method>
        </column>
        <column id="v128_ley">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>DESCRIPCION</header>
                <width>32</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="dt_ley">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>FECHA</header>
                <width>32</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="v64_leytipo">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>TIPO</header>
                <width>16</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="counter">
            <properties>
                <type>link</type>
                <data>text</data>
                <header>No.</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>>
        <counter>ON</counter>
        <delete>NO</delete>
        <tdheader_style>text-align:center</tdheader_style>
        <tdbody_style>font-size:10px;text-align:left</tdbody_style>
    </grid>    
</component>